/*
 * PertenenciaEtnicaMS.java
 *
 * Created on 25 de marzo de 2007, 08:47 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author Julian
 */
public class PertenenciaEtnicaMS extends AbstractRule {

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {

		String otroCampo = registro[new Integer((String) getParams()[0])
				.intValue()];
		String valorEsperadoOtroCampo = (String) getParams()[1];
		String valorEsperadoOtroCampo2 = (String) getParams()[2];
		String stringACortar = registro[new Integer((String) getParams()[3])
				.intValue()];
		int posACortar = new Integer((String) getParams()[4]).intValue() - 1;
		int posFinal = new Integer((String) getParams()[4]).intValue();
		String letra = (String) getParams()[5];
		String valorDelCampo = (String) getParams()[6];
		try {
			if (field.equals(valorDelCampo))
				if (((otroCampo.equals(valorEsperadoOtroCampo) || otroCampo
						.equals(valorEsperadoOtroCampo2)) && !stringACortar
						.substring(posACortar, posFinal).equals(letra)))
					return true;

		} catch (Exception e) {
			return true;
		}

		return false;
	}
}
